Restore a contact
contact.restore(strid, ContactRestoreParams**kwargs) -> ContactRestoreResponse
POST/v1/contacts/{id}/restore
Restores a trashed contact, bringing it back to active. Find trashed contacts via GET /v1/contacts?status=trashed.
Calling restore on a contact that is not trashed is a no-op and returns the existing record.
Required scope: contacts:restore
Rate limit category: Write
Restore a contact
from lightfield import Lightfield
client = Lightfield(
api_key="My API Key",
)
contact_restore_response = client.contact.restore(
id="id",
)
print(contact_restore_response.id){
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}Returns Examples
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
]
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}